class GermBundle extends smashing.Renderable
{
   var myJoint;
   var mcDraw;
   var leashThickness = 2;
   var leashColor = 0;
   function GermBundle()
   {
      var _loc1_ = this;
      super();
      _loc1_.x = 0;
      _loc1_.y = 0;
      _loc1_.l0x = _loc1_.initleash0._x;
      _loc1_.l0y = _loc1_.initleash0._y;
      _loc1_.l1x = _loc1_.initleash1._x;
      _loc1_.l1y = _loc1_.initleash1._y;
      _loc1_.l2x = _loc1_.initleash2._x;
      _loc1_.l2y = _loc1_.initleash2._y;
      _loc1_.l3x = _loc1_.initleash3._x;
      _loc1_.l3y = _loc1_.initleash3._y;
      _loc1_.l4x = _loc1_.initleash4._x;
      _loc1_.l4y = _loc1_.initleash4._y;
   }
   function init(oP, mcD)
   {
      var _loc1_ = this;
      var _loc2_ = oP;
      _loc1_.oPlayer = _loc2_;
      _loc1_.myJoint = new smashing.Joint(_loc2_,_loc1_,0.9);
      _loc2_.setBundle(_loc1_);
      _loc1_.mcDraw = mcD;
   }
   function update(nElapsed)
   {
      this.myJoint.update(nElapsed);
   }
   function render()
   {
      var _loc1_ = this;
      var vals = smashing.Viewport.getPos(_loc1_);
      _loc1_._x = vals.x + smashing.Viewport.centerX;
      _loc1_._y = vals.y + smashing.Viewport.centerY;
      var _loc2_ = new smashing.Point(_loc1_.oPlayer._x + (_loc1_.oPlayer.a._x + _loc1_.oPlayer.a.a._x + _loc1_.oPlayer.a.a.anchor._x) * _loc1_.oPlayer.facing,_loc1_.oPlayer._y + (_loc1_.oPlayer.a._y + _loc1_.oPlayer.a.a._y + _loc1_.oPlayer.a.a.anchor._y));
      _loc1_.mcDraw.lineStyle(_loc1_.leashThickness,_loc1_.leashColor);
      var _loc3_ = undefined;
      var leashY;
      if(_loc1_.leash0._name != undefined)
      {
         _loc3_ = _loc1_._x + _loc1_.l0x;
         leashY = _loc1_._y + _loc1_.l0y;
         _loc1_.mcDraw.moveTo(_loc3_,leashY);
         _loc1_.mcDraw.curveTo((_loc2_.x - _loc3_) / 2 + _loc3_,_loc2_.y,_loc2_.x,_loc2_.y);
      }
      if(_loc1_.leash1._name != undefined)
      {
         _loc3_ = _loc1_._x + _loc1_.l1x;
         leashY = _loc1_._y + _loc1_.l1y;
         _loc1_.mcDraw.moveTo(_loc3_,leashY);
         _loc1_.mcDraw.curveTo((_loc2_.x - _loc3_) / 2 + _loc3_,_loc2_.y,_loc2_.x,_loc2_.y);
      }
      if(_loc1_.leash2._name != undefined)
      {
         _loc3_ = _loc1_._x + _loc1_.l2x;
         leashY = _loc1_._y + _loc1_.l2y;
         _loc1_.mcDraw.moveTo(_loc3_,leashY);
         _loc1_.mcDraw.curveTo((_loc2_.x - _loc3_) / 2 + _loc3_,_loc2_.y,_loc2_.x,_loc2_.y);
      }
      if(_loc1_.leash3._name != undefined)
      {
         _loc3_ = _loc1_._x + _loc1_.l3x;
         leashY = _loc1_._y + _loc1_.l3y;
         _loc1_.mcDraw.moveTo(_loc3_,leashY);
         _loc1_.mcDraw.curveTo((_loc2_.x - _loc3_) / 2 + _loc3_,_loc2_.y,_loc2_.x,_loc2_.y);
      }
      if(_loc1_.leash4._name != undefined)
      {
         _loc3_ = _loc1_._x + _loc1_.l4x;
         leashY = _loc1_._y + _loc1_.l4y;
         _loc1_.mcDraw.moveTo(_loc3_,leashY);
         _loc1_.mcDraw.curveTo((_loc2_.x - _loc3_) / 2 + _loc3_,_loc2_.y,_loc2_.x,_loc2_.y);
      }
   }
   function setGerms(nGerms)
   {
      var _loc1_ = nGerms;
      if(_loc1_ > 5)
      {
         _loc1_ = 5;
      }
      if(_loc1_ < 0)
      {
         _loc1_ = 0;
      }
      this.gotoAndStop(_loc1_ + 1);
   }
   function reset()
   {
      this.setGerms(0);
      this.mcDraw.clear();
   }
}
